What is wrong in my IF loop ??


 
Thread Tools Search this Thread
Top Forums Shell Programming and Scripting What is wrong in my IF loop ??
# 8  
Old 02-11-2010
Here is the piece of Code.

Code:
# Functional Usage

usage() {
        echo
        echo "USAGE"
        echo "   "`basename $0`" <device> <disable|enable> "
        echo
        exit 1
        }
        echo
        echo "**********************************************************************"
        echo " Preparing to service the request for  Device ${1} in Question "
        echo "**********************************************************************"
        echo
if [ "$1" = "" ]&&[ "$2" = "" ];
then
   echo " The request is authenticated "
else
   echo " Correct Input Parameters "
fi

########################

#Validate the device name
#
echo $1 |fgrep "$1" $HOSTFILE > /dev/null || {
echo " Invalid Server Request "
exit 1
}

DPDEVICE="$1"

########################

ssh -T ${DPDEVICE} < $INFILE >> $OUTFILE
if [ $? -eq 0 ]
then
   echo " Report Logging . . "
   echo
   echo " $DATE "
   echo
   echo " FILE CREATED: " $NEWFILE
   mv -if $OUTFILE $NEWFILE
   chmod 755 $NEWFILE
   grep '#' $NEWFILE  | awk -F'#' '{print $NF}' | awk -F':' '{print $NF}'
   echo
   echo "*********************************************************************"
   echo

else


   echo " Conection error.Please Validate the NODE name"
fi

# 9  
Old 02-12-2010
Maybe I am missing this completely, and that is possible, but what exactly are $1 and $2 resulting as? Are you certain they out what you think they are?
# 10  
Old 02-12-2010
I have changed the script parameter & echoing statments. But u can be my help to resolve the new issue that occured after change.

Here is the head of the main script.

Code:
# Functional Usage

usage() {
        echo
        echo "USAGE"
        echo "   "`basename $0`" <device> <disable|enable> "
        echo
        exit 1
        }
        echo
        echo "**********************************************************************"
        echo " Preparing to service the request for  Device ${1} in Question "
        echo "**********************************************************************"
        echo
        if [ "$2" != 0 ]|| [ "$1" != 0 ]; then
        echo " Check USAGE for correct Parameters "
        fi

$0 = basename
$1 = device name
$2 = state operation (enable or disable)

Code:
Desired output on Condition 1 [ where server does not exist in host file & other parameter is not matching with the case ]

server123 = doesnt exist
enables= is wrong parameter. It should be " enable"

my desired output should be like this when both parameters are invalid .

$ ./routing.sh server123 enables

**********************************************************************
 Preparing to service the request for  Device server123 in Question
**********************************************************************

 Check USAGE for correct Parameters 
{ Not displaying the USAGE to the user }

 Invalid Server Request

Should display the USAGE to the user as just given below:

Check USAGE for correct Parameters

USAGE
   DPoutrotate.sh <device> <disable|enable>

Here is the second condition where i will like to see the change. Here one parameter is invalid & other is valid.

server123 = Inavlid
enable = valid.

Code:
$ ./DPoutrotate.sh server123 enable

**********************************************************************
 Preparing to service the request for  Device server123 in Question
**********************************************************************

 Check USAGE for correct Parameters : Should be omitted from output.
 Invalid Server Request

Login or Register to Ask a Question

Previous Thread | Next Thread

10 More Discussions You Might Find Interesting

1. Shell Programming and Scripting

What's wrong with this while loop?

function get_tablespace() { ## Get the current size of the tablespace size=`su -l oracle -c 'db-control report' |egrep "DATA_TBS" | awk '{print $5}'|tr -d '%'` ## Loop through until the size is 82 or less count=0 while && do ... (2 Replies)
Discussion started by: bille
2 Replies

2. Shell Programming and Scripting

What is wrong with my if loop?

Hello everyone, I need a little help. I wrote a cshell script to change the format of a file but it is not working. input file is like that: 2014 3 20 15 0 5.270 40.7739 27.6471 20.232 0.6 0 0 0 1 Site6 4.081 1.00 P Site6 7.585 1.00 S Site1 4.441 1.00 P... (9 Replies)
Discussion started by: miriammiriam
9 Replies

3. Shell Programming and Scripting

awk loop using array:wish to store array values from loop for use outside loop

Here's my code: awk -F '' 'NR==FNR { if (/time/ && $5>10) A=$2" "$3":"$4":"($5-01) else if (/time/ && $5<01) A=$2" "$3":"$4-01":"(59-$5) else if (/time/ && $5<=10) A=$2" "$3":"$4":0"($5-01) else if (/close/) { B=0 n1=n2; ... (2 Replies)
Discussion started by: klane
2 Replies

4. Shell Programming and Scripting

Why result is wrong here ? whether break statement is wrong ?

Hi ! all I am just trying to check range in my datafile pls tell me why its resulting wrong admin@IEEE:~/Desktop$ cat test.txt 0 28.4 5 28.4 10 28.4 15 28.5 20 28.5 25 28.6 30 28.6 35 28.7 40 28.7 45 28.7 50 28.8 55 28.8 60 28.8 65 28.1... (2 Replies)
Discussion started by: Akshay Hegde
2 Replies

5. UNIX for Dummies Questions & Answers

Loop and variable not exactly variable: what's wrong

Hello guys, This truly is a newbie question. I'm trying to make a loop to execute simultaneous commands indefinitely while using variable. Here is how my mess looks like (this is just an example): #!/bin/bash IP=`shuf -n 1 IP.txt` # I figured this would be easier to select random lines... (4 Replies)
Discussion started by: bobylapointe
4 Replies

6. Shell Programming and Scripting

what's wrong with that loop ?

hello everybody, here's my code mkf () { INDEX=0; while ; do touch "file$1.f"; INDEX=$INDEX+1; done } when I type mkf 10 the loop seems to act infinite and only the last file of the loop is created, in the example below, there just is file10.f in... (11 Replies)
Discussion started by: Oddant
11 Replies

7. Shell Programming and Scripting

Whats wrong with my Loop

Hi all, I have been given a task to search for strings in a file that is encoded. I need to display the file name only when all the 3 strings which i provide are present in the file name. i first try to get a list of files according from the directory according to the value passed in argument... (0 Replies)
Discussion started by: amit1_x
0 Replies

8. Shell Programming and Scripting

Something wrong with while loop

Hi there, i've written a script to extract a portion of a MySQL database table and convert it to CSV and then to import it back as CSV to MySQL. Initially it worked without the while loop but after adding the while loop statement, i am getting the following error: ./export-csv-coordinates.sh:... (4 Replies)
Discussion started by: edge80
4 Replies

9. Shell Programming and Scripting

Something went wrong in the following loop

The script is And the error is + count=2 ./FindEID.ksh: line 227: syntax error near unexpected token `else' ./FindEID.ksh: line 227: ` else' I just can't find out what the problem is, can anyone tell me about this error is? Thank you (5 Replies)
Discussion started by: tpltp
5 Replies

10. Shell Programming and Scripting

new to shell scripting: whats wrong with my if loop

#!/bin/bash for file in $HOME/*; do if ; then rm -i $file > /dev/null echo "$?" echo "$file has been deleted" fi done Been trying to learn shell scripting for a week or so now, when i run the script it doesnt display an error message, seems like it runs fine, however it doesnt delete... (10 Replies)
Discussion started by: stride6
10 Replies
Login or Register to Ask a Question